### Method

# Fwupd SecurityAttr set_level

since: 1.5.0

#### Declaration [src]

    void
    fwupd_security_attr_set_level (
      FwupdSecurityAttr* self,
      FwupdSecurityAttrLevel level
    )

#### Description [src]

Sets the HSI level. A `level` of `FWUPD_SECURITY_ATTR_LEVEL_NONE` is not used for the HSI calculation.

Available since: 1.5.0

#### Parameters

`level`

  Type: `FwupdSecurityAttrLevel`

  A security attribute level, e.g. `FWUPD_SECURITY_ATTR_LEVEL_IMPORTANT`.